#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/

spring:
  application:
    name: upcloud-base-wh-operate
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.17:5672,192.168.1.18:5672,192.168.1.19:5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud
    connection-timeout: 90s
    template:
      mandatory: true
#    支持发布确认
    publisher-confirms: true
#    支持发布返回
#    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        auto-startup: true
        default-requeue-rejected: false
        concurrency: 3
        max-concurrency: 10
        retry:
          enabled: true
        prefetch: 100
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.11:1521:orcl
    username: upcloud_biz_wh_operate
    password: upcloud_biz_wh_operate
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  auth:
    redis:
#      timeout: 18000
      namespace: "upcloud-base:"
  dao:
    performance:
      enable: true
      showSql: true
    dialect: oracle
    mybatis:
      mapperLocations: classpath:mappers/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog-mq-20191229
    host: 192.168.1.18
  service:
    item: upcloud-base-item
    inventory: upcloud-base-inventory
    warehouse: upcloud-base-wh
    platform-power: service-platform-power-base
    strategy: upcloud-base-strategy
    common: upcloud-base-common
    chain: upcloud-base-chain
    control: upcloud-base-wh-control
    outbound: upcloud-base-wh-outbound
    gsp: upcloud-base-gsp
    inbound: upcloud-base-wh-inbound
    integration : service-integration
  integration:
    url: http://localhost:80800/http/service
    token:
    instockTransforId: 284
    instockCallId: 288
    instockCallStatusId: 301
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    zftFlag: true
    countSheetId: 299
    countSheetInId: 300
    countSheetOutId: 301
  tx:
    url: "http://192.168.1.21:7000/tx/manager/"

logging:
  config: classpath:log4j2-dev.xml
  level:
    com.netflix.discovery.shared.resolver.aws.ConfigClusterResolver: WARN

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1

feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
   default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000
